# Asterisk Project : Asterisk 13 Application_BridgeWait

Created by wikibot on Aug 08, 2014

# BridgeWait()

### Synopsis

Put a call into the holding bridge.

### Description

This application places the incoming channel into a holding bridge. The channel will then wait in the holding bridge until some event occurs which removes it from the holding bridge.

Note

Icon

This application will answer calls which haven't already been answered.

### Syntax

    BridgeWait([name,[role,[options]]])

##### Arguments

- `name` - Name of the holding bridge to join. This is a handle for `BridgeWait` only and does not affect the actual bridges that are created. If not provided, the reserved name `default` will be used.
- `role` - Defines the channel's purpose for entering the holding bridge. Values are case sensitive.
  - `participant` - The channel will enter the holding bridge to be placed on hold until it is removed from the bridge for some reason. (default)
  - `announcer` - The channel will enter the holding bridge to make announcements to channels that are currently in the holding bridge. While an announcer is present, holding for the participants will be suspended.
- `options`
  - `m` - The specified MOH class will be used/suggested for music on hold operations. This option will only be useful for entertainment modes that use it (m and h).
    - `class`
  - `e` - Which entertainment mechanism should be used while on hold in the holding bridge. Only the first letter is read.
    - `m` - Play music on hold (default)
    - `r` - Ring without pause
    - `s` - Generate silent audio
    - `h` - Put the channel on hold
    - `n` - No entertainment
  - `S` - Automatically exit the bridge and return to the PBX after duration seconds.
    - `duration`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538